<?php
/*
Plugin Name: Redirect Out of Stock Products
Description: Redirects users from out-of-stock products to the product's category.
Version: 1.0
Author: Webeki.com
*/

// Exit if accessed directly
if (!defined('ABSPATH')) {
    exit;
}

// Include functions
require_once plugin_dir_path(__FILE__) . 'includes/functions.php';

// Hook into WooCommerce product page
add_action('template_redirect', 'redirect_out_of_stock_product');